summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lockywolf2023-05-13 00:59:48 +0200
committer Willy Sudiarto Raharjo2023-05-13 14:27:13 +0200
commit4137a38bb24d576c563511d41c5eecbedcff52bf (patch)
tree97538d8a962b0a29dc9153c190f6e61226f951b7
parent8290e58cf6e3c8bf664c6afc9351cd2e5f8138ed (diff)
downloadslackbuilds-4137a38bb24d576c563511d41c5eecbedcff52bf.tar.gz
libraries/granite: Added (Granite is a companion for GTK and GLib.)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/granite/README10
-rw-r--r--libraries/granite/doinst.sh9
-rw-r--r--libraries/granite/granite.SlackBuild99
-rw-r--r--libraries/granite/granite.info10
-rw-r--r--libraries/granite/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/libraries/granite/README b/libraries/granite/README
new file mode 100644
index 0000000000..fae89442b6
--- /dev/null
+++ b/libraries/granite/README
@@ -0,0 +1,10 @@
+# Granite
+
+Granite is a companion library for GTK and GLib. Among other things, it
+provides complex widgets and convenience functions designed for use in
+apps built for elementary OS.
+
+## Documentation
+
+Documentation for all of the classes and functions in Granite is
+available on Valadoc (https://valadoc.org/granite/Granite.html)
diff --git a/libraries/granite/doinst.sh b/libraries/granite/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/libraries/granite/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/granite/granite.SlackBuild b/libraries/granite/granite.SlackBuild
new file mode 100644
index 0000000000..16026f3316
--- /dev/null
+++ b/libraries/granite/granite.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+# Slackware build script for granite
+# Copyright 2023 Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PRGNAM=granite
+VERSION=${VERSION:-6.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$PRGNAM"-"$VERSION"
+tar xvf $CWD/"$PRGNAM"-"$VERSION".tar.gz
+cd "$PRGNAM"-"$VERSION"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+mkdir build
+(
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+)
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/granite/granite.info b/libraries/granite/granite.info
new file mode 100644
index 0000000000..b42e205b11
--- /dev/null
+++ b/libraries/granite/granite.info
@@ -0,0 +1,10 @@
+PRGNAM="granite"
+VERSION="6.2.0"
+HOMEPAGE="https://github.com/elementary/granite"
+DOWNLOAD="https://github.com/elementary/granite/archive/6.2.0/granite-6.2.0.tar.gz"
+MD5SUM="b5cb2159d784020667c87d21f82157c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.granite_2023-05-11@lockywolf.net"
diff --git a/libraries/granite/slack-desc b/libraries/granite/slack-desc
new file mode 100644
index 0000000000..5777f1747d
--- /dev/null
+++ b/libraries/granite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+granite: granite (Granite is a companion library for GTK and GLib.)
+granite:
+granite: Granite is a companion library for GTK and GLib.
+granite: Among other things, it provides complex widgets and convenience
+granite: functions designed for use in apps built for elementary OS.
+granite:
+granite:
+granite:
+granite:
+granite:
+granite: